Package com.google.android.exoplayer2.ext.cast

## Class DefaultMediaItemConverter

- java.lang.Object
- - com.google.android.exoplayer2.ext.cast.DefaultMediaItemConverter

- All Implemented Interfaces:
    `MediaItemConverter`

      public final class DefaultMediaItemConverter
      extends Object
      implements MediaItemConverter

  Default `MediaItemConverter` implementation.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `DefaultMediaItemConverter()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `MediaItem` | `toMediaItem​(com.google.android.gms.cast.MediaQueueItem item)` | Converts a `MediaQueueItem` to a `MediaItem`.
    `com.google.android.gms.cast.MediaQueueItem` | `toMediaQueueItem​(MediaItem item)` | Converts a `MediaItem` to a `MediaQueueItem`.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DefaultMediaItemConverter

          public DefaultMediaItemConverter()

  - ### Method Detail

    - #### toMediaItem

          public MediaItem toMediaItem​(com.google.android.gms.cast.MediaQueueItem item)

      Description copied from interface: `MediaItemConverter`
      Converts a `MediaQueueItem` to a `MediaItem`.
      Specified by:
        `toMediaItem` in interface `MediaItemConverter`
      Parameters:
        `item` - The `MediaQueueItem`.
      Returns:
        The equivalent `MediaItem`.

    - #### toMediaQueueItem

          public com.google.android.gms.cast.MediaQueueItem toMediaQueueItem​(MediaItem item)

      Description copied from interface: `MediaItemConverter`
      Converts a `MediaItem` to a `MediaQueueItem`.
      Specified by:
        `toMediaQueueItem` in interface `MediaItemConverter`
      Parameters:
        `item` - The `MediaItem`.
      Returns:
        An equivalent `MediaQueueItem`.